﻿<?xml version="1.0" encoding="utf-8"?>
<data>
  <DataType Name="Data Types3" BaseType="" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
    <DataType Name="UDT_MC_CALCULATED_DATA_STREAM" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="120" OffsetType="NJ">
      <DataType Name="lrChainPitch" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_EM01_MODULE_INTERFACE" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="119" OffsetType="NJ">
      <DataType Name="stI" BaseType="nsModules\UDT_EM01_MODULE_INTERFACE_IN" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stQ" BaseType="nsModules\UDT_EM01_MODULE_INTERFACE_OUT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stFsm" BaseType="nsFSM\UDT_FSM" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stAxis" BaseType="nsMotion\UDT_MOTION_AXIS_FLOWPACK" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_EM01_MODULE_INTERFACE_IN" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="58" OffsetType="NJ">
      <DataType Name="xVirtualMode" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Virtual mode" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xInit" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xErrorQuit" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Error quit" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrAdvanceFactor" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xSafetyOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Safety ok (eStop+guards)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstopOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Estop ok" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xModuleResetting" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command used to replicate Resetting from Omac" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xModuleRestart" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Selective module restart" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stOmac" BaseType="nsPackML\UDT_OMAC" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Omac commands to internal FSM" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stFromEM02" BaseType="nsModules\UDT_MC_STREAM_INTERFACE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xProducePermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Ready from upstream &amp; downstream OK" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHoldJaws" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Hold jaws command" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEmptying" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Emptying command" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_EM01_MODULE_INTERFACE_OUT" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="57" OffsetType="NJ">
      <DataType Name="xVirtualMode" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xInitDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Initialization done" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xBusReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Bus regulator is ready for all axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xPowerOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAcousticWarning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Acoustic warning for indivisual model restart" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstopLocal" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xJogStop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStopLocal" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xWarning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHomeDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHoming" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRunning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStopped" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAutomaticRun" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAutomaticRunPermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xCycleStopRequest" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stData" BaseType="nsModules\UDT_MC_CALCULATED_DATA_FL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Internal calculated data" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="diActSpeed_ppm" BaseType="DINT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrActSpeed_ppm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="rSetSpeed_ppm" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="rSetAcceleration_ppms" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axFaultLog" BaseType="ARRAY[0..255] OF bool" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Alarms list" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stToEM02" BaseType="nsModules\UDT_MC_FLOWPACK_INTERFACE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_EM02_MODULE_INTERFACE" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="118" OffsetType="NJ">
      <DataType Name="stI" BaseType="nsModules\UDT_EM02_MODULE_INTERFACE_IN" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stQ" BaseType="nsModules\UDT_EM02_MODULE_INTERFACE_OUT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stFsm" BaseType="nsFSM\UDT_FSM" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stAxis" BaseType="nsMotion\UDT_MOTION_AXIS_BRL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_EM02_MODULE_INTERFACE_IN" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="55" OffsetType="NJ">
      <DataType Name="xVirtualMode" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xInit" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xErrorQuit" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrAdvanceFactor" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xSafetyOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstopOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Estop ok" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xModuleResetting" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command used to replicate Resetting from Omac" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xModuleRestart" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Selective module restart" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xProducePermissive" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stOmac" BaseType="nsPackML\UDT_OMAC" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Omac commands to internal FSM" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stFromEM01" BaseType="nsModules\UDT_MC_FLOWPACK_INTERFACE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEmptying" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Emptying command" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_EM02_MODULE_INTERFACE_OUT" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="54" OffsetType="NJ">
      <DataType Name="xVirtualMode" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xInitDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xBusReady" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Bus regulator is ready for all axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xPowerOk" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xAcousticWarning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xJogStop" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xEstopLocal" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStopLocal" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xRunning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xStopped" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xWarning" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHomeDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHoming" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrActSpeed_ppm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="rSetAcceleration_ppms" BaseType="REAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="axFaultLog" BaseType="ARRAY[0..255] OF BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Alarms list" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="stToEM01" BaseType="nsModules\UDT_MC_STREAM_INTERFACE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MC_CALCULATED_DATA_FL" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="24" OffsetType="NJ">
      <DataType Name="lrCutLength" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrOutputBeltDevelopment" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrPrintingPosition_mm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrCompPrintingPosition_mm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrPrintingPosition_deg" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrCompPrintingPosition_deg" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrProdPosition_mm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrProdPosition_deg" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrCompProdPosition_mm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrCompProdPosition_deg" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrCompProdPositionNoMod_mm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrCompProdPositionNoMod_deg" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrChainPitch" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrDeg2mmChain" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrDeg2mmFilm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrStopPos_deg" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Stop position calculated by product phase value" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MC_DYNAMIC" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="117" OffsetType="NJ">
      <DataType Name="lrSetSpeed_ppm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrSetAcceleration_ppms" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrActSpeed_ppm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MC_STREAM_INTERFACE" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="21" OffsetType="NJ">
      <DataType Name="xIncomingProducts" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xSpeedIncrement" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xSpeedDecrement" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="xHoldSpeed" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="1=Machine hold speed is requested" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
    <DataType Name="UDT_MC_FLOWPACK_INTERFACE" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="22" OffsetType="NJ">
      <DataType Name="xHomeDone" BaseType="BOOL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Home done to next module" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrSetSpeed_ppm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Line setpoint speed [bags/min]" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrSetAcceleration_ppms" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Line setpoint acceleration [bags/minute]" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrProductsPerPack" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Products per bag" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrNumberOfFeedLanes" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Number of feed lanes" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrSpeedReduction" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Speed reduction due to overfeed [%]" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
      <DataType Name="lrActSpeed_ppm" BaseType="LREAL" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Line actual speed [bags/min]" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" />
    </DataType>
  </DataType>
</data>